Lua_LongmaiRuleWindow = class("Lua_LongmaiRuleWindow", Lua_Window);
function Lua_LongmaiRuleWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_LongmaiRuleWindow";
	self.skinName = "LongmaiRule_skin";
	self.isClickClose = true;
end
function Lua_LongmaiRuleWindow:buildShowItem()
	self:superCall("buildShowItem");
    
    self.dragContainer = Lua_DragContainer.new(self.content,1, Vector4(1, -4, 563, 276));
	self.dragContainer:setLocation(-1, -7, 0);
	self.dragContainer.uiPanel.depth = 3000;
    self.dragContainer:updateChildPos();
	self.draggableCrimeText = Lua_RuleDraggablePanel.new(self.dragContainer);
	LuaUtil.updateWindowDepth(nil);

    --self.confirmBtn:addClickFuntion(self,self.hide)

    self.title.text = LanUtil.getValue(121917)
end


Lua_RuleDraggablePanel = class("Lua_RuleDraggablePanel", Lua_DragContainerItem);
function Lua_RuleDraggablePanel:ctor(dragContainer)
	self:superCall("ctor", dragContainer.sub, "LongmaiRuleText_skin");
	dragContainer:addSubContainer(self,true);
end
function Lua_RuleDraggablePanel:getHeight()
    return 0;
end

function Lua_RuleDraggablePanel:buildShowItem()
	self:superCall("buildShowItem");
    self.summary.text = LanUtil.getValue(121918);
end